Epec releases a major update for 6000 series Display/Remote Access Units. The update includes a new boot, Firmware 2.2.8 and new Runtimes for both CODESYS 3.5 Service Pack 6 (1.3.1.0) and Service Pack 13 (1.4.0.1). These updates make it possible for customers to utilize the latest CODESYS 3.5 development environments and features, also including bug fixes and usability improvements.

Excluding 6000 series boot, new software packages are available for customers from Epec Extranet. Please note that CODESYS 3.5 Service Pack 13 related updates will enter Epec production at a later date. Changes to schedule in Epec production will be made in agreement with customers and Epec shall inform customers about the changes in advance.This is valid for both Epec product codes and for customer specific product codes of Epec 6000 series products.

Epec 6000 series Boot 2013.1.11

  • Boot 2013.1.11 will be updated to all hardware versions of 6107, 6112 and 6100 products
  • New boot features faster boot up and the possibility to recover from a failed rescue update
  • Update schedule in Epec production: latest on 1st of November 2018 for all 6000 product codes

Epec 6000 series Firmware 2.2.8 and Runtime 1.3.1.0

  • See page 2 for details about FW 2.2.8 and Runtime 1.3.1.0 for CODESYS 3.5 Service Pack 6
  • Runtime 1.3.1.0 requires FW 2.2.8 in order to support all functions
  • Update schedule in Epec production: latest on 1st of-
  • November 2018 for all 6000 series Epec product codes
    • E30D6XXX, E30R6XXX, E30W6XXX and E30M6XXX will have default Firmware 2.2.8 and Runtime 1.3.1.0

Epec 6000 series Firmware 2.2.8 and Runtime 1.4.0.1

  • Supports CODESYS 3.5 Service Pack 13
  • Features of Runtime 1.4.0.1 are similar to the -features of Runtime 1.3.1.0
  • Runtime 1.4.0.1 also requires FW 2.2.8 in order to -be operational
  • It is recommended to use the latest available – CODESYS Service Pack available from Epec Extranet

Epec SDK 3.1

  • SDK 3.1 focuses on CODESYS 3.5 Service Pack 13, -bug fixes and ISOBUS

 

Further Details

Epec 6000 series Firmware 2.2.8

FW 2.2.8 is compatible with all hardware versions of 6107, 6112 and 6100 products. Epec 6000 series FW 2.2.8 is based on Linux kernel 3.14. The change is valid from the release date and shipments to customers will start on week 43/2018.

Improvements
  • Analog camera synchronization improved when switching or plugging and unplugging the camera
  • Improved Ethernet 1 stability
  • NVRAM cannot be erased accidentally anymore in ApplicationLoader
Fixed issues
  • Touchscreen problem in ApplicationLoader when USB connected
  • Ethernet 2 gateway address bug in Application Loader
  • Problem when running application from USB memory in 6100 unit
  • CODESYS visualization issue that caused display to occasionally freeze
New features ready to use
  • VNC client and server
  • Route data between WLAN, Ethernet and 3G
  • Epec GatE DNS support
Runtime 1.3.1.0

CODESYS 3.5 SP6 runtime is updated to 1.3.1.0 and will be taken into use, which is required by some of the new features to work properly.

New features include
  • CODESYS 3.5 gateway
  • 6112 buzzer support
  • Drawing image over analog camera picture
Runtime 1.4.0.1

At the same time Epec is releasing CODESYS 3.5 SP13 runtime. This runtime is an optional update which contains he same updates as 1.3.1.0, and also enables using he latest CODESYS version.
The new Firmware package and runtime versions are vailable from Epec’s extranet on the release date and an be updated to 6000 series units via the USB port.
For more information, please refer to the Epec Rescue software for 6000 series manual and Epec Programming and Libraries manual. Additionally, SDK Compatibility Notes, found from Epec’s extranet has instructions for upgrading a CODESYS 3.5 SP6 project to CODESYS 3.5 SP13.
Regarding customer specific product codes, Epec will inrform you about updates separately.

 

Further Details

Epec SDK 3.1

Support for CODESYS 3.5 SP13

Because of the updates to 6000 series, SDK now also includes support for CODESYS 3.5 SP13. New device description versions were added to SDK, and the update also required changes to MultiTool and PLCopen -libraries.

ISOBUS improvements

With SDK 3.1 and the recent updates made to ISOBUS libraries, it is possible to create ISOBUS implement applications capable of passing AEF software conformance tests. Epec has pre-tested ISOBUS libraries with AEF conformance test 2018 / Release 2. Official validation has to be done for each end-user application in AEF certified ISOBUS test laboratory. For more information on application requirements, read Epec Programming and Libraries manual topic ISOBUS Conformance Guide. –

The following functionalities have been pre-tested:

  • Minimum Control Function
    • Functionality always required for SW conformance
    • Mandatory requirements are fulfilled when ISOBUS diagnostics are selected in use in MultiTool
  • Universal Terminal client: UT2.0 – VT version 3
  • Task Controller client: TC1.0 – TC version 3
    • TC-BAS
    • TC-GEO
    • TC-SC
Improved CANopen slave compatibility

Due to some unconventional read only indexes in CANopen slaves, we updated the feature, and it is now even more compatible with third party devices.

Unicode and append support in CSV parser library

The growing need for using non-latin characters in CSV files has been noted, and we have added support for unicode into the CSV parser library. Furthermore, we added the possibility to append rows to a CSV file instead of just making a new CSV file each time the library created a file.

Enabling/disabling software AI protection in

3000/4000 series units In some cases it has been required to disable the analog input protection for a specific AI pin. Previously, the software protection could not be disabled in the 3000/4000 series units. We have now released a new library version for the AI protection that is included in the code template. To disable the protection of the selected pin, just write FALSE to the AI protection blocks’ input for the specific pin.